#include <avr/io.h>
#define F_CPU 16000000
#include <stdio.h>
#include <util/delay.h>
#include "usart.h"

void IO_init()
{
    // Porturile de output ale motoarelor
    DDRD |= (1 << PD5) | (1 << PD7);
	DDRD |= (1 << PD4) | (1 << PD6);
	
	DDRC = 0x0F;
	PORTD = 0;
   
}
int main()
{	
    USART0_init();
	IO_init();
	
	char b;
	
    while(1)
    {
		char c = USART0_receive();
		
		switch (c) {
		case 'B':
			PORTD |= (1 << PD6) | (1 << PD5);
			break;
		case 'L':
			PORTD |= (1 << PD4);
			break;
		case 'R':
			PORTD |= (1 << PD7 );
			break;
		case 'F':
			PORTD |= (1 << PD7) | (1 << PD4);
			b=c;
			break;
		case 'S':
			PORTD = 0;
			break;
		}
		_delay_ms(100);
    }
}



